window.parentRenderCell = renderCell;

window.renderCell = function(result, {col, row})
{
    result = parentRenderCell(result, {col, row});

    if(col.name == "osVersion" && row.data.CD == 'spug' && row.data.osVersion)
    {
        result[0] = row.data.osVersion;
        result[1].attrs.title = row.data.osVersion;
    }

    if(col.name == 'actions')
    {
        result[0].props.items.forEach(item =>
        {
            if(item.icon == 'trash' && row.data.useTemplate) item.hint = hostLang.hasTemplate;
            if(row.data.CD == 'spug' && !row.data.active) item.hint = hostLang.noSpug;
        });
    }
    return result;
}
